export class Vector2 {
    x: number;
    y: number;

    constructor(x: number, y: number) {
        this.x = x;
        this.y = y;
    }

    Add(vec2: Vector2){
        return new Vector2(this.x + vec2.x, this.y + vec2.y);
    }

    Sub(vec2: Vector2){
        return new Vector2(this.x - vec2.x, this.y - vec2.y);
    }

    Scale(mult: number){
        return new Vector2(this.x * mult, this.y * mult);;
    }
}
